.booking-container{
    border-radius: 8px;
    box-shadow: 0px 0px 40px #0000001f;
    min-height: 560px;
}
.booking-container .firstrow{
    min-height: 560px;
}
.booking-container .leftbar{
    background: var(--theme-primary);
    color: #fff;
    padding: 10px;
    border-top-left-radius:8px;
    border-bottom-left-radius:8px;
    height: 100%;
    padding-top: 20px;
}
.booking-container .leftbar .step{
    padding: 8px;
    background: #0e579b;
    border-radius: 8px;
    margin-bottom: 10px;
}
.booking-container .leftbar .step-head{
    display: flex;
    justify-content: space-between;
}
.booking-container .leftbar .step-head .fa, .fab, .fad, .fal, .far, .fas{
    line-height: unset;
    font-size: 16px;
}
.booking-container .leftbar .step-head .headings{
    display: flex;
}
.booking-container .leftbar .step-head .headings .icon{
    width: 25px;
    text-align: center;
    margin-right: 5px;
}
.booking-container .step .complete-step{
    font-size: 16px;
    display: none;
}
.booking-container .step .values{
    font-size: 13px;
    display: none;
}
.booking-container .step.complete .complete-step{
    display: block;
}
.booking-container .step.complete .values{
    display: block;
}
.booking-container .stepdetails{
    display: none;
}
.booking-container .stepdetails h4{
    margin-bottom: 0;
    padding: 11px 10px;
    border-bottom: 1px solid #e7e7e7;
}

.booking-container .rightfooter{
    border-top: 1px solid #e7e7e7;
    padding: 11px 10px;
    bottom: 0;
    width: 100%;
    text-align: right;
}
.booking-container .details-data{
    padding: 10px;
    overflow: auto;
    max-height: calc(560px - 120px);
}
.select2-container{
    width: 100% !important;
}
.select2-container .select2-selection--single .select2-selection__rendered{
    line-height: inherit !important;
}
body .select2-container--default .select2-search--dropdown{
    padding: 0px !important;
}
.select2-container--default .select2-results__option--group{
    border-bottom: 1px solid #e5e5e5;
}
body .select2-container--default .select2-results__option{
    padding: 5px 8px;
}
.ui-widget-header{
    border: 0;
    background: #ffffff;
}
.ui-datepicker .ui-datepicker-title select{
    height: 40px !important;
    border: 1px solid #e5e5e5 !important;
    border-radius: 5px !important;
    margin: 0px 5px;
}
.ui-widget.ui-widget-content {
    border: 0;
    width: 100%;
}
.ui-datepicker select.ui-datepicker-month, .ui-datepicker select.ui-datepicker-year{
    width: 40%;
}
.ui-datepicker .ui-datepicker-prev, .ui-datepicker .ui-datepicker-next{
    top: 3px;
    width: 40px !important;
    height: 40px !important;
    border: 1px solid #e5e5e5;
}

.ui-datepicker .ui-datepicker-next span{
    background-image:url('../images/book_service/right-arrow.png');
    background-position: center;
}
.ui-datepicker .ui-datepicker-prev span{
    background-image:url('../images/book_service/left-arrow.png');
    background-position: center;
}
.ui-datepicker table th{
    font-size: 14px;
}
.ui-datepicker td{
    width: 40px;
    height: 40px;
    padding: 5px;
}
.ui-state-default, .ui-widget-content .ui-state-default{
    height: 100%;
    border-radius: 5px;
    text-align: center;
    font-size: 17px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #004b9157;
    background: #004b910f;
}
.ui-state-active, .ui-widget-content .ui-state-active{
    background: var(--theme-primary) !important;
    border: 1px solid var(--theme-primary) !important;
    color: white;
}

@media (min-width: 992px) {
    .booking-container .rightfooter{
        position: absolute;
    }
    .ui-datepicker td{
        width: 40px;
        height: 60px;
        padding: 8px;
    }
}
#timeslots{
    display: flex;
    width: 100%;
    flex-direction: row;
    flex-wrap: wrap;
}
.timeslotselection {
    width: 46%;
    padding: 5px;
    border: 1px solid #004b91;
    margin: 5px;
    text-align: center;
    border-radius: 5px;
    color: var(--theme-primary);
    cursor: pointer;
}
.timeslotselection.selected {
    background: var(--theme-primary);
    color: white;
}
.table-sm>:not(caption)>*>* {
    padding: .25rem .25rem;
}
#booking-error{
    position: absolute;
    top: 6%;
    left: 0;
    right: 0;
    padding: 20px;
    display: none;
}
.timeslotselection.booked{
    color: #a4a4a4 !important;
    cursor: not-allowed !important;
    border: 1px solid #a4a4a4 !important;
}
.booking-container .btn-outline-primary:hover{
    color: var(--btn-color-hover, #3e3e3e) !important;
    background-color: var(--btn-bgcolor-hover, #e0e0e0) !important;
}
.seller_img_container{
    display: none;
    margin-top: 20px;
}
#seller_img{
    display: none;
    width: 80px;
    border-radius: 10px;
}
#seller_takeself{
    display: none;
}
#seller_name{
    color: white !important;
    margin-top: 10px;
    margin-bottom: 10px;
    font-size: 15px;
}
.seller_img_container .entry-meta-list li{
    color: white;
    font-size: 13px;
    margin-bottom: 5px;
}
.seller_img_container .entry-meta-list li a:hover{
    color: white;
}

@media (max-width: 768.98px){
    .booking-container .leftbar{
        border-top-left-radius: 8px;
        border-bottom-left-radius: 0px;
        border-top-right-radius: 8px;
    }
    .booking-container .step:not(.current){
        display: none;
    }
    .booking-container{
        height: auto;
    }
    .booking-container .firstrow{
        min-height: auto;
    }
    .timeslotselection{
        font-size: 12px;
    }
}

.booking-container input[type=checkbox], input[type=radio]{
    margin-top: 4px !important;
}

.booking-container .filter-button{
    padding: 0.2rem 1rem;
}
.booking-container .nav{
    flex-wrap: nowrap;
    overflow: auto;
}
.booking-container .qty{
    height: 30px;
    border-radius: 10px;
    text-align: center;
}